"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const typed_parser_1 = require("typed-parser");
const token_1 = require("./token");
function optional(parser) {
    return typed_parser_1.oneOf(parser, typed_parser_1.seq(typed_parser_1.$null, typed_parser_1.constant('')));
}
exports.optional = optional;
// ( ... )
function parenthesized(parser) {
    return typed_parser_1.seq(typed_parser_1.$2, token_1.symbol('('), parser, token_1.symbol(')'));
}
exports.parenthesized = parenthesized;
