"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
function runPrettier(filePath, tsCode) {
    return __awaiter(this, void 0, void 0, function* () {
        let format, resolveConfig;
        try {
            ;
            ({ format, resolveConfig } = require('prettier'));
        }
        catch (_err) {
            console.warn('WARNING: prettier is not installed, unable to prettify output');
            return tsCode;
        }
        const options = yield resolveConfig(filePath);
        return yield format(tsCode, Object.assign(Object.assign({}, options), { filepath: filePath }));
    });
}
exports.runPrettier = runPrettier;
