"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Array = require("fp-ts/lib/Array");
const Either = require("fp-ts/lib/Either");
const Task = require("fp-ts/lib/Task");
const TaskEither = require("fp-ts/lib/TaskEither");
const pipeable_1 = require("fp-ts/lib/pipeable");
const Warn = require("./Warn");
exports.traverseATs = Array.array.traverse(Task.taskSeq);
exports.traverseAE = Array.array.traverse(Either.either);
exports.traverseATE = Array.array.traverse(TaskEither.taskEither);
function traverseAIM(ta, f) {
    return pipeable_1.pipe(exports.traverseATE(ta, f), TaskEither.map(exports.sequenceAW));
}
exports.traverseAIM = traverseAIM;
exports.sequenceATE = Array.array.sequence(TaskEither.taskEither);
exports.sequenceAW = Array.array.sequence(Warn.warn_);
function sequenceAIM(ta) {
    return pipeable_1.pipe(exports.sequenceATE(ta), TaskEither.map(exports.sequenceAW));
}
exports.sequenceAIM = sequenceAIM;
